/**
 * Typescript Definition Sync with v5.1.1
 **/
declare module "react-native-hqm" {
    type SuccessCB      = (result?:any) => any;
    type ErrorCB        = (error?:any) => any;

    export enum HQMTrackers { 
        AppsFlyer,
        Firebase
    };

    export interface InitSDKOptions {
        sdkKey:string;
        isDebug:boolean;
    }

    const hqm: {
        initSdk(options:InitSDKOptions, successC?:SuccessCB, errorC?:ErrorCB): void
        start(): void
        log(key:string, value:object): void
        trackSegments(enable:boolean, tracker:HQMTrackers): void
    };

    export default hqm;
}