
import { NativeModules } from "react-native";

const { RNHqm }         = NativeModules;
const hqm               = {};
const HQMTrackers = {
  AppsFlyer: 'AppsFlyer',
  Firebase: 'Firebase'
}

function initSdk(options, successC, errorC) {
    RNHqm.initSdk(options, successC, errorC);
}

function start() {
    RNHqm.start();
}

function log(key, value) {
    RNHqm.log(key, value);
}

function trackSegments(enable, tracker) {
    switch(tracker) {
        case HQMTrackers.AppsFlyer:
            RNHqm.trackSegments(enable, 'AppsFlyer');
            break;
        case HQMTrackers.Firebase:
            RNHqm.trackSegments(enable, 'Firebase');
            break;
    }
}

hqm.initSdk         = initSdk;
hqm.start           = start;
hqm.log             = log;
hqm.trackSegments   = trackSegments;
hqm.HQMTrackers   = HQMTrackers;

export default hqm;